任务单 #37165

任意のsubsystemへの対応

开放日期: 2017-05-08 13:33 最后更新: 2017-05-19 21:10

报告人:
(匿名)
属主:
状态:
关闭
组件:
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

SSHでの接続時に、任意のsubsystemを指定して接続する機能(OpenSSHのssh -sオプション相当)が欲しいです。 利用シーンの例としては、Netconf over SSH (RFC6242)等がTera Termから利用できればと考えています。

任务单历史 (3/6 Histories)

2017-05-08 13:33 Updated by: None
  • New Ticket "任意のsubsystemへの対応" created
2017-05-09 19:41 Updated by: doda
  • 属主 Update from (无) to doda
评论

Netconf over SSH は使った事が無いのですが、このような感じで大丈夫でしょうか?

https://osdn.net/downloads/users/11/11886/snapshot-20170509-doda-subsystemtest-01.zip

接続時にホスト名(コマンドラインオプション)に /ssh-subsytem=netconf 等を付加して下さい。

2017-05-12 12:25 Updated by: None
评论

迅速な御対応ありがとうございます。 御提供頂いたsnapshotを試してみたところ、期待通りに動作する事が確認できました。

2017-05-12 18:00 Updated by: doda
2017-05-12 22:41 Updated by: doda
  • 处理结果 Update from Accepted to Fixed
2017-05-19 21:10 Updated by: doda
  • Ticket Close date is changed to 2017-05-19 21:10
  • 状态 Update from 开启 to 关闭

Attachment File List

No attachments

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名